#pragma once
#include<dmusici.h> 
#include "Tools.h"

class Audio
{
protected:	// singleton structure
	Audio				( void );
	~Audio				( void );

public:
	void init			( void );		// inits m_Performance & m_Loader
	void release		( void );		// releases audio

	void setVolume		( long p_Vol );	// sets master volume
	long getVolume		( void );		// returns master volume


public:
    IDirectMusicPerformance8* m_Performance;	//performance object
    IDirectMusicLoader8*      m_Loader;			//loader object

	
public:
	static Audio*			getSingleton	();


};
