/**********************************************
/*
/*	This class is an abstraction class btw the core and 
/*	the game class. Every game class needs to be derived 
/*	from this class
/*
/**********************************************/

#pragma once
#include "Core.h"
class GameBase
	: public Core
{
public:
/*
*												*
*					CONSTRUCTORS 				*
*												*/
	GameBase					( HINSTANCE hinstance );
	~GameBase(void);


/*
*												*
*					FUCNTIONS	 				*
*												*/
public:
	virtual void initGame			( void )
	{
		Tools::LOG ( "initGame is not overriden, you need to override this function in you class derived from class GameBase" ) ;
	} ;
	virtual void createScene		( void ) 
	{
		Tools::LOG ( "createScene is not overriden, you need to override this function in you class derived from class GameBase" ) ;

	} ;





};
