#pragma once
#include "ParticleGroupLayout.h"
class GunLayout: public ParticleGroupLayout
{
public:
	GunLayout( unsigned int p_NumOfParticles,
							D3DXMATRIX* wM , float p_Life = 500.0f, 
							float p_SizeOfParticle = 1.0f , D3DXCOLOR& p_Color = D3DXCOLOR(1.0f,1.0f,1.0f,1.0f) ,
									  string& p_TextureName = string("particle.bmp"));
	~GunLayout(void);
	
	D3DXMATRIX *wM;

	float				m_BulletPower;
	float				m_SpreadFactor;

};
