#pragma once
#include <d3dx9.h>
#define DIRECTINPUT_VERSION	0x0800
#include <dinput.h>
#include "Tools.h"

class IODevice
{
public:
	IODevice					(HWND	&p_HWin);
	~IODevice					( void );

	bool						initDirectInput( void );
	virtual bool				update( void ) = 0;
	bool						acquireInputDevice ( DWORD delayTime = (DWORD)100 );	//recover function for the device

	static LPDIRECTINPUT8       getDirectInputObject();

protected:
	HWND						m_HWin;
    LPDIRECTINPUTDEVICE8		m_pDirectInputDevice;			// direct input device such as mouse, keyboard etc...

};
