#pragma once
#include "listener.h"
#include "Mouse.h"

class MouseListener :
	public virtual Listener
{
public:
	MouseListener(void);
	~MouseListener(void);
	bool isMouseListener()		{return true;}; // overloaded function from Listener class

	virtual bool mouseButtonReleased(MouseState	&p_MouseEvent, float timeElapsed) {return true;};
	virtual bool mouseButtonPressed(MouseState	&p_MouseEvent, float timeElapsed) {return true;};
	virtual bool mouseMoved(MouseState	&p_MouseEvent, float timeElapsed) {return true;};

	float lastMouseEventTime;
	float firstMouseEventTime;
};
