#pragma once
#include "framelistener.h"
#include "PhysicsEngine.h"

/*
* this frame listeners runs the physics world 
*/
class PhysicsFrameListener :
	public FrameListener
{
public:
	PhysicsFrameListener(void);
	~PhysicsFrameListener(void);

	bool frameStarted( float timeElapsed)	;
	bool frameEnded( float timeElapsed)		;

	DWORD					m_ProcessTimeLength;
	PhysicsEngine			*m_PhyEngine;
};
