#pragma once
#include "gunlayout.h"

/*
* behaviour layout for the primary gun
*/
class PrimaryGunLayout :
	public GunLayout
{
public:
	PrimaryGunLayout(unsigned int p_NumOfParticles,
							D3DXMATRIX* wM , float p_Life = 500.0f, 
							float p_SizeOfParticle = 1.0f , D3DXCOLOR& p_Color = D3DXCOLOR(1.0f,1.0f,1.0f,1.0f) ,
									  string& p_TextureName = string("particle.bmp"));
	~PrimaryGunLayout(void);


	virtual void		initParticles		(Particle ***particles);
	virtual void		updateParticles		(Particle ***particles);



};
