#pragma once
#include "GunLayout.h"
/*
* behaviour layout for the secondary gun
*/
class SecondGunLayout: public GunLayout
{
public:
	SecondGunLayout( unsigned int p_NumOfParticles,
							D3DXMATRIX* wM , float p_Life = 500.0f, 
							float p_SizeOfParticle = 1.0f , D3DXCOLOR& p_Color = D3DXCOLOR(1.0f,1.0f,1.0f,1.0f) ,
									  string& p_TextureName = string("particle.bmp"));
	~SecondGunLayout(void);
	virtual void		initParticles		(Particle ***particles);
	virtual void		updateParticles		(Particle ***particles);
	

};
