#pragma once
#include "iodevice.h"
class Keyboard :
	public IODevice
{
public:
	Keyboard(HWND	&p_HWin);
	~Keyboard(void);
    bool				initKeyboard	( void );		//inits keyboard stuff 

    //updates keyboard status 
    bool				update			( void );
    bool				isKeyPressed	( int key );	//ask for pressed key 
    bool				isAnyKeyPressed	( void );		// @deprecated ask for pressed key 

	static void			keyPressed		(bool p_status);

private:
    
    char                 m_LastKeyBuffer[256];			//buffer for previous keys 
    char                 m_KeyBuffer[256];				//buffer for keys 
};

