#pragma once
#include "listener.h"
#include "Keyboard.h"

class KeyboardListener :
	public virtual Listener
{
public:
	KeyboardListener			(void);
	~KeyboardListener			(void);

	bool isKeyboardListener		()		{return true;}; // overloaded function from Listener class

	virtual bool keyPressed		(Keyboard	*p_Keyboard, float timeElapsed) {return true;};	// if any key pressed of the keyboard this function will be called
	virtual bool keyReleased	(Keyboard	*p_Keyboard, float timeElapsed) {return true;}; // if any key released of the keyboard this function will be called

public:
	// event times
	float lastKeyboardEventTime;
	float firstKeyboardEventTime;

};
