#pragma once
#include "ParticleGroupLayout.h"
#include "PhysicsObject.h"

class ParticleGroup: public PhysicsObject
{
public:
	ParticleGroup		( ParticleGroupLayout *p_Layout , CollisionGroup p_CollisionGroup);
	~ParticleGroup		( void );

	void				initParticles		( ParticleGroupLayout *p_Layout );
	virtual PhysicsObjectType		getPhysicsObjectType(){return PhysicsObject::PARTICLE_GROUP ; };
	LPDIRECT3DTEXTURE9	m_Texture;		// Texture for the particles in the same group

	ParticleGroupLayout	*m_ParticleLayout;
	Particle			**m_Particles;	// Particles
	float				m_RemainingLife;

	float				m_LastUpdate;
	
};